<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('first_name',100)->nullable();
            $table->string('last_name',100)->nullable();
            $table->tinyInteger('credit_report_company_type')->default(3);
            $table->tinyInteger('is_first_login')->default(1);
            $table->string('email')->unique();
            $table->string('password');
            $table->string('street_no',100)->nullable();
            $table->string('street_name',100)->nullable();
            $table->string('city',50)->nullable();
            $table->string('state',10)->nullable();
            $table->string('birth_date',20)->nullable();
            $table->string('phone',20)->nullable();
            $table->string('zip_code',50)->nullable();
            $table->string('ssn',10)->nullable();
            $table->timestamp('email_verified_at')->nullable();
            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
